import os
from setuptools import setup

with open(os.path.join(os.path.dirname(__file__), 'README.md')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='levit-report',
    version='3.0',
    packages=['levit_report', 'levit_report.migrations'],
    include_package_data=True,
    license='MIT License',  # example license
    description='Bring the power of relatorio to Django',
    long_description_content_type="text/markdown",
    long_description=README,
    url='http://levit.be',
    author='LevIT scs',
    author_email='foss@levit.be',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Framework :: Django :: 4.2',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.11',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
    install_requires=['Django>=4.2', 'relatorio>=0.10.1', ]
)
